#include <iostream>
#include <string>
#include <vector>


int main()
{
    std::string n, res;
    std::cin >> n;
    int k, c;
    std::cin >> k >> c;
    char r = n[0], l = n[1];
    if (k == c) {
        for (int i = 0; i < k; i++) {
            res += r;
            res += l;
        }
    }
    else if (k == c + 1) {
        res += r;
        for (int i = 0; i < k; i++) {
            res += l;
            res += r;
        }
    }
    else if (k == c - 1) {
        res += l;
        for (int i = 0; i < k; i++) {
            res += r;
            res += l;
        }
    }
    else {
        std::cout << "nemoguce" << std::endl;
        return 0;
    }
    std::cout << res << std::endl;
    return 0;
}